<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Homework 15 - JS DOM Events</title>
  <link rel="stylesheet" href="styles.css">
</head>

<body>
  <p>Click the button below to display the hidden content from the template element.</p>

  <button onclick="showContent1()">Task 1</button>
  <button onclick="showContent2()">Task 2</button>
  <button onclick="showContent3()">Task 3</button>

  <div id="task1">
    <!-- TEMPLATE FOR TASK 1 GOES HERE -->
    <template>
    <table>
      <tr id="row-1">
        <td class="cell col-1">Cell</td>
        <td class="cell">Cell</td>
        <td class="cell">Cell</td>
      </tr>
      <tr id="row-2">
        <td class="cell col-1">Cell</td>
        <td class="cell">Cell</td>
        <td class="cell special-cell">Special cell</td>
      </tr>
      <tr id="row-3">
        <td class="cell col-1">Cell</td>
        <td class="cell">Cell</td>
        <td class="cell">Cell</td>
      </tr>
    </table>
    </template>
  </div>
  
  <div id="task2">
    <!-- TEMPLATE FOR TASK 2 GOES HERE -->
    <template>
    <form id="form">
      <p id="notif"></p>
      <div>
        <input type="text" id="phone-number" placeholder="Type phone number in format +380*********" pattern="\+380\d{9}" required 
        oninvalid="setCustomValidity('Typed number does not follow format +380*********')" oninput="setCustomValidity('')">
        <input type="submit" value="Send" id='send-btn' disabled></input>
      </div>
    </form>
    </template>
  </div>

  <div id="task3">
    <!-- TEMPLATE FOR TASK 3 GOES HERE -->
    <template>
    <div class="court">
      <div class="hoop" id="hoopA"></div>
      <img src="/assets/ball.png" alt="ball" class="ball">
      <div class="hoop" id="hoopB"></div>
    </div>
    <div>
      <span id="score-A">Team A:0</span>
      <span id="score-B">Team B:0</span>
    </div>
    <p id="notification">test</p>
    </template>
  </div>

  <script src="./index.js"></script>
</body>

</html>
